### Hierarchy

- AssertionError

### Implements

- Error

## Index

### Constructors

- constructor

### Properties

- actual
- code
- expected
- generatedMessage
- message
- name
- operator

## Constructors

### constructor

- new AssertionError(options?: undefined | object): AssertionError

- - Defined in node_modules/@types/node/assert.d.ts:11

  #### Parameters

  - ##### Optional options: undefined | object

  #### Returns AssertionError

## Properties

### actual

actual: any

- Defined in node_modules/@types/node/assert.d.ts:7

### code

code: "ERR_ASSERTION"

- Defined in node_modules/@types/node/assert.d.ts:11

### expected

expected: any

- Defined in node_modules/@types/node/assert.d.ts:8

### generatedMessage

generatedMessage: boolean

- Defined in node_modules/@types/node/assert.d.ts:10

### message

message: string

- Defined in node_modules/@types/node/assert.d.ts:6

### name

name: string

- Defined in node_modules/@types/node/assert.d.ts:5

### operator

operator: string

- Defined in node_modules/@types/node/assert.d.ts:9

Generated using TypeDoc